
stations: 
  - ایستگاه مترو آرمان علی وردی (n13230283736)
  - ایستگاه مترو آزادگان (n5165462148)
  - ایستگاه مترو آهنگ (n3784648871)
  - ایستگاه مترو آیت الله کاشانی (n3815456860)
  - ایستگاه مترو ابن سینا (n2169732971)
  - ایستگاه مترو اتمسفر (n5602602180)
  - ایستگاه مترو ارم سبز (n5602579936)
  - ایستگاه مترو استاد معین (n2169732984)
  - ایستگاه مترو اشرفی اصفهانی (n3815456838)
  - ایستگاه مترو اقدسیه (n8738914819)
  - ایستگاه مترو امام حسین (n6818484835)
  - ایستگاه مترو امام خمینی (n5186262276)
  - ایستگاه مترو امیر کبیر (n8243426038)
  - ایستگاه مترو ایران خودرو (n5604727187)
  - ایستگاه مترو برج میلاد تهران (n3784648884)
  - ایستگاه مترو بریانک (n5190423572)
  - ایستگاه مترو بسیج (n11750922029)
  - ایستگاه مترو بعثت (n6444462277)
  - ایستگاه مترو بهار شیراز (n10759924012)
  - ایستگاه مترو بهارستان (n659782107)
  - ایستگاه مترو بوستان لاله (w1169531671)
  - ایستگاه مترو بوستان گفتگو (n3784648883)
  - ایستگاه مترو بیمه (n5183520307)
  - ایستگاه مترو تئاترشهر (n5162910432)
  - ایستگاه مترو تجریش (n2152781392)
  - ایستگاه مترو تهرانپارس (n5163103601)
  - ایستگاه مترو توحید (w671794339)
  - ایستگاه مترو جانبازان (n4674995987)
  - ایستگاه مترو جوادیه (n3641204693)
  - ایستگاه مترو جوانمرد قصاب (n3691093697)
  - ایستگاه مترو حرم مطهر (n5194776019)
  - ایستگاه مترو حسن آباد (n3691224155)
  - ایستگاه مترو حسین آباد (n3778861789)
  - ایستگاه مترو خواجه عبدالله انصاری (n3778861787)
  - ایستگاه مترو خیام (n5162855447)
  - ایستگاه مترو دانشگاه امام علی ع (n3778792864)
  - ایستگاه مترو دانشگاه تربیت مدرس (n5190423568)
  - ایستگاه مترو دانشگاه شریف (n864404756)
  - ایستگاه مترو دانشگاه علم و صنعت (n660628852)
  - ایستگاه مترو دروازه دولت (n5188247275)
  - ایستگاه مترو دروازه شمیران (n5188341403)
  - ایستگاه مترو دکتر حبیب اله (n4558309639)
  - ایستگاه مترو دکتر شریعتی (n2169380705)
  - ایستگاه مترو راه آهن (n3635251445)
  - ایستگاه مترو رودکی (n5165422504)
  - ایستگاه مترو زمزم (n5190555599)
  - ایستگاه مترو سبلان (n660628364)
  - ایستگاه مترو سرسبز (n660628705)
  - ایستگاه مترو سعدی (n660623347)
  - ایستگاه مترو سهروردی (n3778861785)
  - ایستگاه مترو شادمان (n5183625750)
  - ایستگاه مترو شاهد باقرشهر (n5162855462)
  - ایستگاه مترو شهدای دولت آباد (n6390530105)
  - ایستگاه مترو شهدای هفتم تیر (n5183508081)
  - ایستگاه مترو شهدای هفده شهریور (n13284688255)
  - ایستگاه مترو شهدای کن (n10761286147)
  - ایستگاه مترو شهر آفتاب (n5212515304)
  - ایستگاه مترو شهر زیبا (n11263536540)
  - ایستگاه مترو شهر پرند (n7934844452)
  - ایستگاه مترو شهران (n3853324358)
  - ایستگاه مترو شهرری (n8907277818)
  - ایستگاه مترو شهرک آزمایش (n3815456806)
  - ایستگاه مترو شهرک اکباتان (n13230313218)
  - ایستگاه مترو شهرک شریعتی (n3649760928)
  - ایستگاه مترو شهید باقری (n5163103599)
  - ایستگاه مترو شهید بخارایی (n660635266)
  - ایستگاه مترو شهید بهشتی (n5540220849)
  - ایستگاه مترو شهید حقانی (n660658298)
  - ایستگاه مترو شهید دادمان (n10746895094)
  - ایستگاه مترو شهید رضایی (n9149513248)
  - ایستگاه مترو شهید زین الدین (n4453205974)
  - ایستگاه مترو شهید ستاری (n10235224668)
  - ایستگاه مترو شهید صدر (n2169380695)
  - ایستگاه مترو شهید صیاد شیرازی (n3778861786)
  - ایستگاه مترو شهید فخری زاده (n11737927451)
  - ایستگاه مترو شهید قاسم سلیمانی (n5230301190)
  - ایستگاه مترو شهید قدوسی (n3778821747)
  - ایستگاه مترو شهید محلاتی (n5163103597)
  - ایستگاه مترو شهید مدنی (n660628303)
  - ایستگاه مترو شهید مفتح (n660624203)
  - ایستگاه مترو شهید نواب صفوی (n5165422503)
  - ایستگاه مترو شهید همت (n660658572)
  - ایستگاه مترو شهید کلاهدوز (n5162910442)
  - ایستگاه مترو شوش (n660637545)
  - ایستگاه مترو صادقیه (n5604727197)
  - ایستگاه مترو طالقانی (n660623849)
  - ایستگاه مترو طرشت (n2120217849)
  - ایستگاه مترو عبدل آباد (n4453604919)
  - ایستگاه مترو علامه جعفری (n10861347776)
  - ایستگاه مترو علی آباد (n5183513583)
  - ایستگاه مترو فدک (n3080821096)
  - ایستگاه مترو فردوسی (n13202066659)
  - ایستگاه مترو فرهنگسرا (n5163103600)
  - ایستگاه مترو فرودگاه امام خمینی (n5162855464)
  - ایستگاه مترو فرودگاه مهرآباد ترمینال‌های ۱ و ۲ (n11417054161)
  - ایستگاه مترو فرودگاه مهرآباد ترمینال‌های ۴ و ۶ (n11417054143)
  - ایستگاه مترو قائم (n5163103598)
  - ایستگاه مترو قلهک (n2169380700)
  - ایستگاه مترو قیطریه (n2169380696)
  - ایستگاه مترو محمد شهر (n5607262986)
  - ایستگاه مترو مدافعان سلامت (n10126282787)
  - ایستگاه مترو مرزداران (n8890549263)
  - ایستگاه مترو مریم مقدس (n13279314257)
  - ایستگاه مترو مصلی (n26751498)
  - ایستگاه مترو ملت (n659784460)
  - ایستگاه مترو منیریه (n3649760926)
  - ایستگاه مترو مهدیه (n11417020371)
  - ایستگاه مترو مولوی (n3784648875)
  - ایستگاه مترو میدان آزادی (n5186234550)
  - ایستگاه مترو میدان انقلاب اسلامی (n5162910431)
  - ایستگاه مترو میدان جهاد (n2831259315)
  - ایستگاه مترو میدان حر (n654082162)
  - ایستگاه مترو میدان حضرت ولیعصر (n10760685493)
  - ایستگاه مترو میدان خراسان (n12659430599)
  - ایستگاه مترو میدان شهدا (n6390530109)
  - ایستگاه مترو میدان صنعت (n3784648885)
  - ایستگاه مترو میدان قیام (n3784645934)
  - ایستگاه مترو میدان محمدیه (n6737096941)
  - ایستگاه مترو میدان هروی (n3778822187)
  - ایستگاه مترو میدان کتاب (n3784648857)
  - ایستگاه مترو میرداماد (n2169380721)
  - ایستگاه مترو میرزای شیرازی (n8730248893)
  - ایستگاه مترو نبرد (n5162910430)
  - ایستگاه مترو نعمت آباد (n5165462147)
  - ایستگاه مترو نوبنیاد (n3778861790)
  - ایستگاه مترو نیرو هوایی (n5162910441)
  - ایستگاه مترو هلال احمر (n3784645954)
  - ایستگاه مترو وردآورد (n5604713689)
  - ایستگاه مترو ورزشگاه آزادی (n5604726880)
  - ایستگاه مترو پالایشگاه (n11281445852)
  - ایستگاه مترو پانزده خرداد (n4396461099)
  - ایستگاه مترو پایانه جنوب (n660636159)
  - ایستگاه مترو پیروزی (n4544628125)
  - ایستگاه مترو چهل تن دولاب (n3784645922)
  - ایستگاه مترو چیتگر (n5604726917)
  - ایستگاه مترو کارگر (n10746895093)
  - ایستگاه مترو کرج (n5607263132)
  - ایستگاه مترو کمیل (n5190423570)
  - ایستگاه مترو کهریزک (n5162855457)
  - ایستگاه مترو کیان شهر (n8273593826)
  - ایستگاه مترو گرمدره (n5606659846)
  - ایستگاه مترو گلشهر (n5602562105)
  - ایستگاه مترو یادگار امام (n3815456823)

transfers: 
  - 
    - ایستگاه مترو ارم سبز (r7643577)
    - ایستگاه مترو ارم سبز (r7643578)
  - 
    - ایستگاه مترو امام حسین (r10068530)
    - ایستگاه مترو امام حسین (r7685436)
  - 
    - ایستگاه مترو امام خمینی (r7677588)
    - ایستگاه مترو امام خمینی (r7677589)
  - 
    - ایستگاه مترو تئاترشهر (r7645440)
    - ایستگاه مترو تئاترشهر (r7645441)
  - 
    - ایستگاه مترو توحید (r13585766)
    - ایستگاه مترو توحید (r7649028)
  - 
    - ایستگاه مترو دانشگاه تربیت مدرس (r12818897)
    - ایستگاه مترو دانشگاه تربیت مدرس (r7682678)
  - 
    - ایستگاه مترو دروازه دولت (r7679928)
    - ایستگاه مترو دروازه دولت (r7679929)
  - 
    - ایستگاه مترو دروازه شمیران (r7680016)
    - ایستگاه مترو دروازه شمیران (r7680017)
  - 
    - ایستگاه مترو شادمان (r7673509)
    - ایستگاه مترو شادمان (r7673510)
  - 
    - ایستگاه مترو شهدای هفتم تیر (r11561233)
    - ایستگاه مترو شهدای هفتم تیر (r15640836)
  - 
    - ایستگاه مترو شهید بهشتی (r7679920)
    - ایستگاه مترو شهید بهشتی (r7679921)
  - 
    - ایستگاه مترو شهید نواب صفوی (r7649029)
    - ایستگاه مترو شهید نواب صفوی (r7649030)
  - 
    - ایستگاه مترو صادقیه (r7643579)
    - ایستگاه مترو صادقیه (r7643580)
  - 
    - ایستگاه مترو مهدیه (r7685416)
    - ایستگاه مترو مهدیه (r8493368)
  - 
    - ایستگاه مترو میدان حضرت ولیعصر (r12818896)
    - ایستگاه مترو میدان ولی عصر (r7685397)
  - 
    - ایستگاه مترو میدان شهدا (r7685437)
    - ایستگاه مترو میدان شهدا (r9468297)
  - 
    - ایستگاه مترو میدان محمدیه (r7680022)
    - ایستگاه مترو میدان محمدیه (r7680023)

routes: 
  - 
    type: subway
    ref: 1
    name: خط ١
    colour: '#ff0f04'
    station_count: 32
    stations: 
      - ایستگاه مترو تجریش
      - ایستگاه مترو قیطریه
      - ایستگاه مترو شهید صدر
      - ایستگاه مترو قلهک
      - ایستگاه مترو دکتر شریعتی
      - ایستگاه مترو میرداماد
      - ایستگاه مترو شهید حقانی
      - ایستگاه مترو شهید همت
      - ایستگاه مترو مصلی
      - ایستگاه مترو شهید بهشتی
      - ایستگاه مترو شهید مفتح
      - ایستگاه مترو شهدای هفتم تیر
      - ایستگاه مترو طالقانی
      - ایستگاه مترو دروازه دولت
      - ایستگاه مترو سعدی
      - ایستگاه مترو امام خمینی
      - ایستگاه مترو پانزده خرداد
      - ایستگاه مترو خیام
      - ایستگاه مترو میدان محمدیه
      - ایستگاه مترو شوش
      - ایستگاه مترو پایانه جنوب
      - ایستگاه مترو شهید بخارایی
      - ایستگاه مترو علی آباد
      - ایستگاه مترو جوانمرد قصاب
      - ایستگاه مترو شهرری
      - ایستگاه مترو پالایشگاه
      - ایستگاه مترو شاهد باقرشهر
      - ایستگاه مترو حرم مطهر
      - ایستگاه مترو کهریزک
      - ایستگاه مترو شهر آفتاب
      - ایستگاه مترو فرودگاه امام خمینی
      - ایستگاه مترو شهر پرند

    itineraries: 
      r2750010: 
        - ایستگاه مترو تجریش (n2152781392)
        - ایستگاه مترو قیطریه (n2169380696)
        - ایستگاه مترو شهید صدر (n2169380695)
        - ایستگاه مترو قلهک (n2169380700)
        - ایستگاه مترو دکتر شریعتی (n2169380705)
        - ایستگاه مترو میرداماد (n2169380721)
        - ایستگاه مترو شهید حقانی (n660658298)
        - ایستگاه مترو شهید همت (n660658572)
        - ایستگاه مترو مصلی (n26751498)
        - ایستگاه مترو شهید بهشتی (n5540220849)
        - ایستگاه مترو شهید مفتح (n660624203)
        - ایستگاه مترو شهدای هفتم تیر (n5183508081)
        - ایستگاه مترو طالقانی (n660623849)
        - ایستگاه مترو دروازه دولت (n5188247275)
        - ایستگاه مترو سعدی (n660623347)
        - ایستگاه مترو امام خمینی (n5186262276)
        - ایستگاه مترو پانزده خرداد (n4396461099)
        - ایستگاه مترو خیام (n5162855447)
        - ایستگاه مترو میدان محمدیه (n6737096941)
        - ایستگاه مترو شوش (n660637545)
        - ایستگاه مترو پایانه جنوب (n660636159)
        - ایستگاه مترو شهید بخارایی (n660635266)
        - ایستگاه مترو علی آباد (n5183513583)
        - ایستگاه مترو جوانمرد قصاب (n3691093697)
        - ایستگاه مترو شهرری (n8907277818)
        - ایستگاه مترو پالایشگاه (n11281445852)
        - ایستگاه مترو شاهد باقرشهر (n5162855462)
        - ایستگاه مترو حرم مطهر (n5194776019)
        - ایستگاه مترو کهریزک (n5162855457)

      r6151834: 
        - ایستگاه مترو شاهد باقرشهر (n5162855462)
        - ایستگاه مترو شهر آفتاب (n5212515304)
        - ایستگاه مترو فرودگاه امام خمینی (n5162855464)
        - ایستگاه مترو شهر پرند (n7934844452)

      r7735255: 
        - ایستگاه مترو کهریزک (n5162855457)
        - ایستگاه مترو حرم مطهر (n5194776019)
        - ایستگاه مترو شاهد باقرشهر (n5162855462)
        - ایستگاه مترو پالایشگاه (n11281445852)
        - ایستگاه مترو شهرری (n8907277818)
        - ایستگاه مترو جوانمرد قصاب (n3691093697)
        - ایستگاه مترو علی آباد (n5183513583)
        - ایستگاه مترو شهید بخارایی (n660635266)
        - ایستگاه مترو پایانه جنوب (n660636159)
        - ایستگاه مترو شوش (n660637545)
        - ایستگاه مترو میدان محمدیه (n6737096941)
        - ایستگاه مترو خیام (n5162855447)
        - ایستگاه مترو پانزده خرداد (n4396461099)
        - ایستگاه مترو امام خمینی (n5186262276)
        - ایستگاه مترو سعدی (n660623347)
        - ایستگاه مترو دروازه دولت (n5188247275)
        - ایستگاه مترو طالقانی (n660623849)
        - ایستگاه مترو شهدای هفتم تیر (n5183508081)
        - ایستگاه مترو شهید مفتح (n660624203)
        - ایستگاه مترو شهید بهشتی (n5540220849)
        - ایستگاه مترو مصلی (n26751498)
        - ایستگاه مترو شهید همت (n660658572)
        - ایستگاه مترو شهید حقانی (n660658298)
        - ایستگاه مترو میرداماد (n2169380721)
        - ایستگاه مترو دکتر شریعتی (n2169380705)
        - ایستگاه مترو قلهک (n2169380700)
        - ایستگاه مترو شهید صدر (n2169380695)
        - ایستگاه مترو قیطریه (n2169380696)
        - ایستگاه مترو تجریش (n2152781392)

      r7832313: 
        - ایستگاه مترو شهر پرند (n7934844452)
        - ایستگاه مترو فرودگاه امام خمینی (n5162855464)
        - ایستگاه مترو شهر آفتاب (n5212515304)
        - ایستگاه مترو شاهد باقرشهر (n5162855462)


  - 
    type: subway
    ref: 2
    name: خط ۲
    colour: '#003380'
    station_count: 22
    stations: 
      - ایستگاه مترو صادقیه
      - ایستگاه مترو طرشت
      - ایستگاه مترو دانشگاه شریف
      - ایستگاه مترو شادمان
      - ایستگاه مترو شهید نواب صفوی
      - ایستگاه مترو میدان حر
      - ایستگاه مترو دانشگاه امام علی ع
      - ایستگاه مترو حسن آباد
      - ایستگاه مترو امام خمینی
      - ایستگاه مترو ملت
      - ایستگاه مترو بهارستان
      - ایستگاه مترو دروازه شمیران
      - ایستگاه مترو امام حسین
      - ایستگاه مترو شهید مدنی
      - ایستگاه مترو سبلان
      - ایستگاه مترو فدک
      - ایستگاه مترو جانبازان
      - ایستگاه مترو سرسبز
      - ایستگاه مترو دانشگاه علم و صنعت
      - ایستگاه مترو شهید باقری
      - ایستگاه مترو تهرانپارس
      - ایستگاه مترو فرهنگسرا

    itineraries: 
      r2431321: 
        - ایستگاه مترو صادقیه (n5604727197)
        - ایستگاه مترو طرشت (n2120217849)
        - ایستگاه مترو دانشگاه شریف (n864404756)
        - ایستگاه مترو شادمان (n5183625750)
        - ایستگاه مترو شهید نواب صفوی (n5165422503)
        - ایستگاه مترو میدان حر (n654082162)
        - ایستگاه مترو دانشگاه امام علی ع (n3778792864)
        - ایستگاه مترو حسن آباد (n3691224155)
        - ایستگاه مترو امام خمینی (n5186262276)
        - ایستگاه مترو ملت (n659784460)
        - ایستگاه مترو بهارستان (n659782107)
        - ایستگاه مترو دروازه شمیران (n5188341403)
        - ایستگاه مترو امام حسین (n6818484835)
        - ایستگاه مترو شهید مدنی (n660628303)
        - ایستگاه مترو سبلان (n660628364)
        - ایستگاه مترو فدک (n3080821096)
        - ایستگاه مترو جانبازان (n4674995987)
        - ایستگاه مترو سرسبز (n660628705)
        - ایستگاه مترو دانشگاه علم و صنعت (n660628852)
        - ایستگاه مترو شهید باقری (n5163103599)
        - ایستگاه مترو تهرانپارس (n5163103601)
        - ایستگاه مترو فرهنگسرا (n5163103600)

      r7832324: 
        - ایستگاه مترو فرهنگسرا (n5163103600)
        - ایستگاه مترو تهرانپارس (n5163103601)
        - ایستگاه مترو شهید باقری (n5163103599)
        - ایستگاه مترو دانشگاه علم و صنعت (n660628852)
        - ایستگاه مترو سرسبز (n660628705)
        - ایستگاه مترو جانبازان (n4674995987)
        - ایستگاه مترو فدک (n3080821096)
        - ایستگاه مترو سبلان (n660628364)
        - ایستگاه مترو شهید مدنی (n660628303)
        - ایستگاه مترو امام حسین (n6818484835)
        - ایستگاه مترو دروازه شمیران (n5188341403)
        - ایستگاه مترو بهارستان (n659782107)
        - ایستگاه مترو ملت (n659784460)
        - ایستگاه مترو امام خمینی (n5186262276)
        - ایستگاه مترو حسن آباد (n3691224155)
        - ایستگاه مترو دانشگاه امام علی ع (n3778792864)
        - ایستگاه مترو میدان حر (n654082162)
        - ایستگاه مترو شهید نواب صفوی (n5165422503)
        - ایستگاه مترو شادمان (n5183625750)
        - ایستگاه مترو دانشگاه شریف (n864404756)
        - ایستگاه مترو طرشت (n2120217849)
        - ایستگاه مترو صادقیه (n5604727197)


  - 
    type: subway
    ref: 3
    name: خط ٣
    colour: '#00aad4'
    station_count: 25
    stations: 
      - ایستگاه مترو قائم
      - ایستگاه مترو شهید محلاتی
      - ایستگاه مترو اقدسیه
      - ایستگاه مترو نوبنیاد
      - ایستگاه مترو حسین آباد
      - ایستگاه مترو میدان هروی
      - ایستگاه مترو شهید زین الدین
      - ایستگاه مترو خواجه عبدالله انصاری
      - ایستگاه مترو شهید صیاد شیرازی
      - ایستگاه مترو شهید قدوسی
      - ایستگاه مترو سهروردی
      - ایستگاه مترو شهید بهشتی
      - ایستگاه مترو میرزای شیرازی
      - ایستگاه مترو میدان جهاد
      - ایستگاه مترو میدان حضرت ولیعصر
      - ایستگاه مترو تئاترشهر
      - ایستگاه مترو منیریه
      - ایستگاه مترو مهدیه
      - ایستگاه مترو راه آهن
      - ایستگاه مترو جوادیه
      - ایستگاه مترو زمزم
      - ایستگاه مترو شهرک شریعتی
      - ایستگاه مترو عبدل آباد
      - ایستگاه مترو نعمت آباد
      - ایستگاه مترو آزادگان

    itineraries: 
      r5366249: 
        - ایستگاه مترو قائم (n5163103598)
        - ایستگاه مترو شهید محلاتی (n5163103597)
        - ایستگاه مترو اقدسیه (n8738914819)
        - ایستگاه مترو نوبنیاد (n3778861790)
        - ایستگاه مترو حسین آباد (n3778861789)
        - ایستگاه مترو میدان هروی (n3778822187)
        - ایستگاه مترو شهید زین الدین (n4453205974)
        - ایستگاه مترو خواجه عبدالله انصاری (n3778861787)
        - ایستگاه مترو شهید صیاد شیرازی (n3778861786)
        - ایستگاه مترو شهید قدوسی (n3778821747)
        - ایستگاه مترو سهروردی (n3778861785)
        - ایستگاه مترو شهید بهشتی (n5540220849)
        - ایستگاه مترو میرزای شیرازی (n8730248893)
        - ایستگاه مترو میدان جهاد (n2831259315)
        - ایستگاه مترو میدان حضرت ولیعصر (n10760685493)
        - ایستگاه مترو تئاترشهر (n5162910432)
        - ایستگاه مترو منیریه (n3649760926)
        - ایستگاه مترو مهدیه (n11417020371)
        - ایستگاه مترو راه آهن (n3635251445)
        - ایستگاه مترو جوادیه (n3641204693)
        - ایستگاه مترو زمزم (n5190555599)
        - ایستگاه مترو شهرک شریعتی (n3649760928)
        - ایستگاه مترو عبدل آباد (n4453604919)
        - ایستگاه مترو نعمت آباد (n5165462147)
        - ایستگاه مترو آزادگان (n5165462148)

      r7770933: 
        - ایستگاه مترو آزادگان (n5165462148)
        - ایستگاه مترو نعمت آباد (n5165462147)
        - ایستگاه مترو عبدل آباد (n4453604919)
        - ایستگاه مترو شهرک شریعتی (n3649760928)
        - ایستگاه مترو زمزم (n5190555599)
        - ایستگاه مترو جوادیه (n3641204693)
        - ایستگاه مترو راه آهن (n3635251445)
        - ایستگاه مترو مهدیه (n11417020371)
        - ایستگاه مترو منیریه (n3649760926)
        - ایستگاه مترو تئاترشهر (n5162910432)
        - ایستگاه مترو میدان حضرت ولیعصر (n10760685493)
        - ایستگاه مترو میدان جهاد (n2831259315)
        - ایستگاه مترو میرزای شیرازی (n8730248893)
        - ایستگاه مترو شهید بهشتی (n5540220849)
        - ایستگاه مترو سهروردی (n3778861785)
        - ایستگاه مترو شهید قدوسی (n3778821747)
        - ایستگاه مترو شهید صیاد شیرازی (n3778861786)
        - ایستگاه مترو خواجه عبدالله انصاری (n3778861787)
        - ایستگاه مترو شهید زین الدین (n4453205974)
        - ایستگاه مترو میدان هروی (n3778822187)
        - ایستگاه مترو حسین آباد (n3778861789)
        - ایستگاه مترو نوبنیاد (n3778861790)
        - ایستگاه مترو اقدسیه (n8738914819)
        - ایستگاه مترو شهید محلاتی (n5163103597)
        - ایستگاه مترو قائم (n5163103598)


  - 
    type: subway
    ref: 4
    name: خط ۴
    colour: '#ffff00'
    station_count: 22
    stations: 
      - ایستگاه مترو علامه جعفری
      - ایستگاه مترو ارم سبز
      - ایستگاه مترو شهرک اکباتان
      - ایستگاه مترو بیمه
      - ایستگاه مترو میدان آزادی
      - ایستگاه مترو استاد معین
      - ایستگاه مترو دکتر حبیب اله
      - ایستگاه مترو شادمان
      - ایستگاه مترو توحید
      - ایستگاه مترو میدان انقلاب اسلامی
      - ایستگاه مترو تئاترشهر
      - ایستگاه مترو فردوسی
      - ایستگاه مترو دروازه دولت
      - ایستگاه مترو دروازه شمیران
      - ایستگاه مترو میدان شهدا
      - ایستگاه مترو ابن سینا
      - ایستگاه مترو پیروزی
      - ایستگاه مترو نبرد
      - ایستگاه مترو نیرو هوایی
      - ایستگاه مترو شهید کلاهدوز
      - ایستگاه مترو فرودگاه مهرآباد ترمینال‌های ۱ و ۲
      - ایستگاه مترو فرودگاه مهرآباد ترمینال‌های ۴ و ۶

    itineraries: 
      r443307: 
        - ایستگاه مترو علامه جعفری (n10861347776)
        - ایستگاه مترو ارم سبز (n5602579936)
        - ایستگاه مترو شهرک اکباتان (n13230313218)
        - ایستگاه مترو بیمه (n5183520307)
        - ایستگاه مترو میدان آزادی (n5186234550)
        - ایستگاه مترو استاد معین (n2169732984)
        - ایستگاه مترو دکتر حبیب اله (n4558309639)
        - ایستگاه مترو شادمان (n5183625750)
        - ایستگاه مترو توحید (w671794339)
        - ایستگاه مترو میدان انقلاب اسلامی (n5162910431)
        - ایستگاه مترو تئاترشهر (n5162910432)
        - ایستگاه مترو فردوسی (n13202066659)
        - ایستگاه مترو دروازه دولت (n5188247275)
        - ایستگاه مترو دروازه شمیران (n5188341403)
        - ایستگاه مترو میدان شهدا (n6390530109)
        - ایستگاه مترو ابن سینا (n2169732971)
        - ایستگاه مترو پیروزی (n4544628125)
        - ایستگاه مترو نبرد (n5162910430)
        - ایستگاه مترو نیرو هوایی (n5162910441)
        - ایستگاه مترو شهید کلاهدوز (n5162910442)

      r7683584: 
        - ایستگاه مترو بیمه (n5183520307)
        - ایستگاه مترو فرودگاه مهرآباد ترمینال‌های ۱ و ۲ (n11417054161)
        - ایستگاه مترو فرودگاه مهرآباد ترمینال‌های ۴ و ۶ (n11417054143)

      r7705668: 
        - ایستگاه مترو شهید کلاهدوز (n5162910442)
        - ایستگاه مترو نیرو هوایی (n5162910441)
        - ایستگاه مترو نبرد (n5162910430)
        - ایستگاه مترو پیروزی (n4544628125)
        - ایستگاه مترو ابن سینا (n2169732971)
        - ایستگاه مترو میدان شهدا (n6390530109)
        - ایستگاه مترو دروازه شمیران (n5188341403)
        - ایستگاه مترو دروازه دولت (n5188247275)
        - ایستگاه مترو فردوسی (n13202066659)
        - ایستگاه مترو تئاترشهر (n5162910432)
        - ایستگاه مترو میدان انقلاب اسلامی (n5162910431)
        - ایستگاه مترو توحید (w671794339)
        - ایستگاه مترو شادمان (n5183625750)
        - ایستگاه مترو دکتر حبیب اله (n4558309639)
        - ایستگاه مترو استاد معین (n2169732984)
        - ایستگاه مترو میدان آزادی (n5186234550)
        - ایستگاه مترو بیمه (n5183520307)
        - ایستگاه مترو شهرک اکباتان (n13230313218)
        - ایستگاه مترو ارم سبز (n5602579936)
        - ایستگاه مترو علامه جعفری (n10861347776)

      r7726963: 
        - ایستگاه مترو فرودگاه مهرآباد ترمینال‌های ۴ و ۶ (n11417054143)
        - ایستگاه مترو فرودگاه مهرآباد ترمینال‌های ۱ و ۲ (n11417054161)
        - ایستگاه مترو بیمه (n5183520307)


  - 
    type: train
    ref: 5
    name: خط ۸
    colour: '#008033'
    station_count: 13
    stations: 
      - ایستگاه مترو شهید قاسم سلیمانی
      - ایستگاه مترو شهید فخری زاده
      - ایستگاه مترو گلشهر
      - ایستگاه مترو محمد شهر
      - ایستگاه مترو کرج
      - ایستگاه مترو اتمسفر
      - ایستگاه مترو گرمدره
      - ایستگاه مترو وردآورد
      - ایستگاه مترو ایران خودرو
      - ایستگاه مترو چیتگر
      - ایستگاه مترو ورزشگاه آزادی
      - ایستگاه مترو ارم سبز
      - ایستگاه مترو صادقیه

    itineraries: 
      r443301: 
        - ایستگاه مترو شهید قاسم سلیمانی (n5230301190)
        - ایستگاه مترو شهید فخری زاده (n11737927451)
        - ایستگاه مترو گلشهر (n5602562105)
        - ایستگاه مترو محمد شهر (n5607262986)
        - ایستگاه مترو کرج (n5607263132)
        - ایستگاه مترو اتمسفر (n5602602180)
        - ایستگاه مترو گرمدره (n5606659846)
        - ایستگاه مترو وردآورد (n5604713689)
        - ایستگاه مترو ایران خودرو (n5604727187)
        - ایستگاه مترو چیتگر (n5604726917)
        - ایستگاه مترو ورزشگاه آزادی (n5604726880)
        - ایستگاه مترو ارم سبز (n5602579936)
        - ایستگاه مترو صادقیه (n5604727197)

      r7735261: 
        - ایستگاه مترو صادقیه (n5604727197)
        - ایستگاه مترو ارم سبز (n5602579936)
        - ایستگاه مترو ورزشگاه آزادی (n5604726880)
        - ایستگاه مترو چیتگر (n5604726917)
        - ایستگاه مترو ایران خودرو (n5604727187)
        - ایستگاه مترو وردآورد (n5604713689)
        - ایستگاه مترو گرمدره (n5606659846)
        - ایستگاه مترو اتمسفر (n5602602180)
        - ایستگاه مترو کرج (n5607263132)
        - ایستگاه مترو محمد شهر (n5607262986)
        - ایستگاه مترو گلشهر (n5602562105)
        - ایستگاه مترو شهید فخری زاده (n11737927451)
        - ایستگاه مترو شهید قاسم سلیمانی (n5230301190)


  - 
    type: subway
    ref: 6
    name: خط ۶
    colour: '#ff5599'
    station_count: 25
    stations: 
      - ایستگاه مترو آرمان علی وردی
      - ایستگاه مترو شهدای کن
      - ایستگاه مترو شهران
      - ایستگاه مترو شهر زیبا
      - ایستگاه مترو آیت الله کاشانی
      - ایستگاه مترو شهید ستاری
      - ایستگاه مترو اشرفی اصفهانی
      - ایستگاه مترو یادگار امام
      - ایستگاه مترو مرزداران
      - ایستگاه مترو شهرک آزمایش
      - ایستگاه مترو دانشگاه تربیت مدرس
      - ایستگاه مترو کارگر
      - بوستان لاله
      - ایستگاه مترو میدان ولی عصر
      - ایستگاه مترو مریم مقدس
      - ایستگاه مترو شهدای هفتم تیر
      - ایستگاه مترو بهار شیراز
      - ایستگاه مترو امام حسین
      - ایستگاه مترو میدان شهدا
      - ایستگاه مترو امیر کبیر
      - ایستگاه مترو میدان خراسان
      - ایستگاه مترو شهید رضایی
      - ایستگاه مترو بعثت
      - ایستگاه مترو کیان شهر
      - ایستگاه مترو شهدای دولت آباد

    itineraries: 
      r5697303: 
        - ایستگاه مترو آرمان علی وردی (n13230283736)
        - ایستگاه مترو شهدای کن (n10761286147)
        - ایستگاه مترو شهران (n3853324358)
        - ایستگاه مترو شهر زیبا (n11263536540)
        - ایستگاه مترو آیت الله کاشانی (n3815456860)
        - ایستگاه مترو شهید ستاری (n10235224668)
        - ایستگاه مترو اشرفی اصفهانی (n3815456838)
        - ایستگاه مترو یادگار امام (n3815456823)
        - ایستگاه مترو مرزداران (n8890549263)
        - ایستگاه مترو شهرک آزمایش (n3815456806)
        - ایستگاه مترو دانشگاه تربیت مدرس (n5190423568)
        - ایستگاه مترو کارگر (n10746895093)
        - ایستگاه مترو بوستان لاله (w1169531671)
        - ایستگاه مترو میدان حضرت ولیعصر (n10760685493)
        - ایستگاه مترو مریم مقدس (n13279314257)
        - ایستگاه مترو شهدای هفتم تیر (n5183508081)
        - ایستگاه مترو بهار شیراز (n10759924012)
        - ایستگاه مترو امام حسین (n6818484835)
        - ایستگاه مترو میدان شهدا (n6390530109)
        - ایستگاه مترو امیر کبیر (n8243426038)
        - ایستگاه مترو میدان خراسان (n12659430599)
        - ایستگاه مترو شهید رضایی (n9149513248)
        - ایستگاه مترو بعثت (n6444462277)
        - ایستگاه مترو کیان شهر (n8273593826)
        - ایستگاه مترو شهدای دولت آباد (n6390530105)

      r9468295: 
        - ایستگاه مترو شهدای دولت آباد (n6390530105)
        - ایستگاه مترو کیان شهر (n8273593826)
        - ایستگاه مترو بعثت (n6444462277)
        - ایستگاه مترو شهید رضایی (n9149513248)
        - ایستگاه مترو میدان خراسان (n12659430599)
        - ایستگاه مترو امیر کبیر (n8243426038)
        - ایستگاه مترو میدان شهدا (n6390530109)
        - ایستگاه مترو امام حسین (n6818484835)
        - ایستگاه مترو بهار شیراز (n10759924012)
        - ایستگاه مترو شهدای هفتم تیر (n5183508081)
        - ایستگاه مترو مریم مقدس (n13279314257)
        - ایستگاه مترو میدان حضرت ولیعصر (n10760685493)
        - ایستگاه مترو بوستان لاله (w1169531671)
        - ایستگاه مترو کارگر (n10746895093)
        - ایستگاه مترو دانشگاه تربیت مدرس (n5190423568)
        - ایستگاه مترو شهرک آزمایش (n3815456806)
        - ایستگاه مترو مرزداران (n8890549263)
        - ایستگاه مترو یادگار امام (n3815456823)
        - ایستگاه مترو اشرفی اصفهانی (n3815456838)
        - ایستگاه مترو شهید ستاری (n10235224668)
        - ایستگاه مترو آیت الله کاشانی (n3815456860)
        - ایستگاه مترو شهر زیبا (n11263536540)
        - ایستگاه مترو شهران (n3853324358)
        - ایستگاه مترو شهدای کن (n10761286147)
        - ایستگاه مترو آرمان علی وردی (n13230283736)


  - 
    type: subway
    ref: 7
    name: خط ۷
    colour: '#6a00ff'
    station_count: 21
    stations: 
      - ایستگاه مترو میدان کتاب
      - ایستگاه مترو شهید دادمان
      - ایستگاه مترو میدان صنعت
      - ایستگاه مترو برج میلاد تهران
      - ایستگاه مترو بوستان گفتگو
      - ایستگاه مترو دانشگاه تربیت مدرس
      - ایستگاه مترو مدافعان سلامت
      - ایستگاه مترو توحید
      - ایستگاه مترو شهید نواب صفوی
      - ایستگاه مترو رودکی
      - ایستگاه مترو کمیل
      - ایستگاه مترو بریانک
      - ایستگاه مترو هلال احمر
      - ایستگاه مترو مهدیه
      - ایستگاه مترو میدان محمدیه
      - ایستگاه مترو مولوی
      - ایستگاه مترو میدان قیام
      - ایستگاه مترو شهدای هفده شهریور
      - ایستگاه مترو چهل تن دولاب
      - ایستگاه مترو آهنگ
      - ایستگاه مترو بسیج

    itineraries: 
      r7429356: 
        - ایستگاه مترو میدان کتاب (n3784648857)
        - ایستگاه مترو شهید دادمان (n10746895094)
        - ایستگاه مترو میدان صنعت (n3784648885)
        - ایستگاه مترو برج میلاد تهران (n3784648884)
        - ایستگاه مترو بوستان گفتگو (n3784648883)
        - ایستگاه مترو دانشگاه تربیت مدرس (n5190423568)
        - ایستگاه مترو مدافعان سلامت (n10126282787)
        - ایستگاه مترو توحید (w671794339)
        - ایستگاه مترو شهید نواب صفوی (n5165422503)
        - ایستگاه مترو رودکی (n5165422504)
        - ایستگاه مترو کمیل (n5190423570)
        - ایستگاه مترو بریانک (n5190423572)
        - ایستگاه مترو هلال احمر (n3784645954)
        - ایستگاه مترو مهدیه (n11417020371)
        - ایستگاه مترو میدان محمدیه (n6737096941)
        - ایستگاه مترو مولوی (n3784648875)
        - ایستگاه مترو میدان قیام (n3784645934)
        - ایستگاه مترو شهدای هفده شهریور (n13284688255)
        - ایستگاه مترو چهل تن دولاب (n3784645922)
        - ایستگاه مترو آهنگ (n3784648871)
        - ایستگاه مترو بسیج (n11750922029)

      r7705643: 
        - ایستگاه مترو بسیج (n11750922029)
        - ایستگاه مترو آهنگ (n3784648871)
        - ایستگاه مترو چهل تن دولاب (n3784645922)
        - ایستگاه مترو شهدای هفده شهریور (n13284688255)
        - ایستگاه مترو میدان قیام (n3784645934)
        - ایستگاه مترو مولوی (n3784648875)
        - ایستگاه مترو میدان محمدیه (n6737096941)
        - ایستگاه مترو مهدیه (n11417020371)
        - ایستگاه مترو هلال احمر (n3784645954)
        - ایستگاه مترو بریانک (n5190423572)
        - ایستگاه مترو کمیل (n5190423570)
        - ایستگاه مترو رودکی (n5165422504)
        - ایستگاه مترو شهید نواب صفوی (n5165422503)
        - ایستگاه مترو توحید (w671794339)
        - ایستگاه مترو مدافعان سلامت (n10126282787)
        - ایستگاه مترو دانشگاه تربیت مدرس (n5190423568)
        - ایستگاه مترو بوستان گفتگو (n3784648883)
        - ایستگاه مترو برج میلاد تهران (n3784648884)
        - ایستگاه مترو میدان صنعت (n3784648885)
        - ایستگاه مترو شهید دادمان (n10746895094)
        - ایستگاه مترو میدان کتاب (n3784648857)



